// SLogic	 (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __TOOL_H_
#define __TOOL_H_

#include <gui/point.h>
#include <util/message.h>

class CompDraw;

class Tool
{
public:
	Tool( int id ) { m_Id = id; };
	~Tool() {};

	virtual void Init() {};
	virtual void Deinit() {};

	virtual void SetCursor() {};
	virtual void MouseUp( CompDraw* draw, const os::Point& cPosition, uint32 nButtons ) {};
	virtual void MouseDown( CompDraw* draw, const os::Point& cPosition, uint32 nButtons ) {};
	virtual void MouseMove( CompDraw* draw, const os::Point& cPosition, uint32 nButtons ) {};

	int GetId() { return m_Id; };

private:
	int m_Id;
};

#endif

