// SLogic	 (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "component_vcc.h"
#include "common.h"

using namespace os;

ComponentVCC :: ComponentVCC() : Component( LoadImage( "1.png" ), LoadImage( "1.png" ), "VCC", "Constant 1" )
{
	AddOutputPin( Point( 48, 23 ), "Q" );
}

ComponentVCC :: ~ComponentVCC()
{
}

Component* ComponentVCC :: Duplicate()
{
	return new ComponentVCC();
}

bool ComponentVCC :: GetOutputState( String name )
{
	if( name == "Q" )
		return true;
	
	return false;
}
