// SLogic	 (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <util/message.h>
#include <gui/window.h>

#include "sidebar_componentlist.h"
#include "messages.h"

using namespace os;

CompListSideBar :: CompListSideBar( const Rect& cFrame, uint32 nResizeMask, uint32 nFlags ) : SideBar( cFrame, "Component list", nResizeMask, nFlags )
{
	// Create component view
	m_CompList = new CompView( Rect(), CF_FOLLOW_LEFT | CF_FOLLOW_TOP );
	AddChild( m_CompList );
	
	// Fix layout
	Layout();
}

CompListSideBar :: ~CompListSideBar()
{
	delete m_CompList;
}

void CompListSideBar :: Layout()
{
	Rect cFrame = SideBar::GetFrame();
	ConvertFromParent( &cFrame );
	m_CompList->SetFrame( cFrame );		
}

void CompListSideBar :: AllAttached( void )
{
	SideBar::AllAttached();

}

void CompListSideBar :: HandleMessage( Message* pcMessage )
{

	switch( pcMessage->GetCode() )	//Get the message code from the message
	{		
	
	}
}
